pilot-read-expenses(1)

NAME
pilot-read-expenses - Export Palm Expense application data in a text format.

SECTION

pilot-link: Userland conduits

SYNOPSIS

 pilot-read-expenses [-p|--port <port>] [-q|--quiet] [--version] [-?|--help] [--usage] [-w|--write]

DESCRIPTION

 pilot-read-expenses is used to output the Expense data in a simple text format, which can be used to import into any other application you wish, such as Excel or other application.

If you have expense entries saved on your Palm in the ExpenseDB.pdb file, you can export them to a simple text format, and redirect that to a file/pipe, or STDOUT (the default) using pilot-read-expenses.

The output data will resemble something like the following:
            Category: Unfiled Type:   5 Payment:   7 Currency:  23 Amount: 400.00 Vendor: Super Salads City: Westerly
            Attendees: Joe, Mary, Bob Note: Some simple note text Date: Fri May 9 00:00:00 2004

OPTIONS

  pilot-read-expenses option
                        -w, --write

Write out the expense data

  Conduit Options
                        -p, --port port

Use device file <port> to communicate with the Palm handheld. If this is not specified, pilot-read-expenses will look for the $PILOTPORT environment variable. If neither are found or supplied, pilot-read-expenses will print the usage information.
                        -q,
                        --quiet

Suppress 'Hit HotSync button' message
                        -v, --version

Display version of pilot-read-expenses and exit without connecting.

  Help Options
                        -h, --help

Display the help synopsis for pilot-read-expenses and exit without connecting.
                        --usage

Display a brief usage message and exit without connecting.

AUTHOR

 pilot-read-expenses was originally written by Kenneth Albanowski.

This manual page was converted to XML by Neil Williams <linux@codehelp.co.uk>

REPORTING BUGS

We have an online bug tracker. Using this is the only way to ensure that your bugs are recorded and that we can track them until they are resolved or closed. Reporting bugs via email, while easy, is not very useful in terms of accountability. Please point your browser to http://bugs.pilot-link.org: http://bugs.pilot-link.org and report your bugs and issues there.

SEE ALSO

 pilot-link(7)

COPYRIGHT

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.

SEE ALSO

 install-expenses (1), pilot-link(7).